For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update user group

Updates a user group.

Update user group

put

Update user group. Accepts a delta payload with fields to update (e.g. name, description, logo, modules, buyers). Returns the updated user group object.

Path parameters
idstringRequired

User group identifier.

Body
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
logostring · nullableOptional
isDefaultbooleanOptional
Responses
200

OK

application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
logostring · nullableOptional
isDefaultbooleanOptional
put/public/v1/accounts/user-groups/{id}
PUT /public/v1/accounts/user-groups/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 101

{
  "name": "Rolls-Royce Updated",
  "description": "Updated description",
  "modules": [
    {
      "id": "MOD-1756-1452"
    }
  ]
}
{
  "id": "UGR-5116-6265",
  "revision": 2,
  "name": "Rolls-Royce Updated",
  "description": "Updated description",
  "isDefault": false,
  "account": {
    "id": "ACC-1234-5678",
    "name": "Microsoft"
  },
  "modules": [
    {
      "id": "MOD-1756-1452"
    }
  ],
  "audit": {
    "created": {
      "at": "2024-02-01T09:12:23+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "updated": {
      "at": "2024-02-02T10:00:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    }
  }
}

Last updated

Was this helpful?